cifti::StrFileImpl Class Reference
Inheritance diagram for cifti::StrFileImpl:
[legend]
Collaboration diagram for cifti::StrFileImpl:
[legend]

## Public Member Functions

void | open (const AString &filename, const BinaryFile::OpenMode &opmode)
void | close ()
void | seek (const int64_t &position)
int64_t | pos ()
int64_t | size ()
void | read (void *dataOut, const int64_t &count, int64_t *numRead)
void | write (const void *dataIn, const int64_t &count)
Public Member Functions inherited from cifti::BinaryFile::ImplInterface
const AString & | getFilename () const

## Additional Inherited Members

Protected Attributes inherited from cifti::BinaryFile::ImplInterface
AString | m_fileName

## Member Function Documentation

## close()

void StrFileImpl::close | ( |  | ) |

virtual

Implements cifti::BinaryFile::ImplInterface.

## open()

void StrFileImpl::open | ( | const AString & | filename,
|  | const BinaryFile::OpenMode & | opmode )

virtual

Implements cifti::BinaryFile::ImplInterface.

## pos()

int64_t StrFileImpl::pos | ( |  | ) |

virtual

Implements cifti::BinaryFile::ImplInterface.

## read()

void StrFileImpl::read | ( | void * | dataOut,
|  | const int64_t & | count,
|  | int64_t * | numRead )

virtual

Implements cifti::BinaryFile::ImplInterface.

## seek()

void StrFileImpl::seek | ( | const int64_t & | position | ) |

virtual

Implements cifti::BinaryFile::ImplInterface.

## size()

int64_t StrFileImpl::size | ( |  | ) |

virtual

Implements cifti::BinaryFile::ImplInterface.

## write()

void StrFileImpl::write | ( | const void * | dataIn,
|  | const int64_t & | count )

virtual

Implements cifti::BinaryFile::ImplInterface.

The documentation for this class was generated from the following file:

- BinaryFile.cxx